<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
    <c:param name="title">Getting Started</c:param>
</c:import>

<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS distributions</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    Choose the JABAWS distribution that better suits your needs and read the quickstart guides below.
                    Detailed information is available in the <a href="${pageContext.request.contextPath}/man_docs.jsp">
                    JABAWS documentation pages</a>.
                </p>
                <br>
                <div class="row">
                    <!--<div class="col-md-1"></div>-->
                    <div class="col-md-10">
                        <table class="table">
                            <tr>
                                <th>Quick Guide</th>
                                <th>I want to use JABAWS for...</th>
                            </tr>
                            <tr>
                                <td><a href="#jalview">Jalview and the JABAWS Public Server</a></td>
                                <td>Running JABAWS services through Jalview on the JABAWS
                                    <strong>public</strong> server</td>
                            </tr>
                            <tr>
                                <td><a href="#va">JABAWS Virtual Appliance (VA)</a></td>
                                <td>Running JABAWS services through Jalview on my
                                    computer with a <strong>private</strong> server</td>
                            </tr>
                            <tr>
                                <td><a href="#war">JABAWS Web Application aRchive (WAR)</a></td>
                                <td>Running JABAWS for my group, lab, or organization on the
                                    <strong>local</strong> infrastructure</td>
                            </tr>
                            <tr>
                                <td><a href="#client">JABAWS Command Line Interface (CLI)</a></td>
                                <td>Accessing a <strong>public</strong> or <strong>private</strong>
                                    JABAWS server from my own software</td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-md-2"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row" id="jalview">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Jalview and the JABAWS Public Server</h1>
            </div>
            <div class="panel-body">
                <!--<h4>Running JABAWS on your local machine</h4>-->

                <p class="justify">
                    This is the easiest way to run JABAWS web-services. Simply launch
                    <a href="http://www.jalview.org/webstart/jalview.jnlp">Jalview</a> and run any of the methods
                    provided under the 'Web Service' menu. Jalview uses the public JABAWS server by default.
                    If you are concerned about privacy or want to run sensitive analysis on your own hardware, you can
                    either setup a local <a href="#va">JABAWS Virtual Appliance (VA)</a> or
                    configue the <a href="#war">JABAWS Web Application aRchive (WAR)</a> in your infrastructure.
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row" id="va">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Virtual Appliance (VA)</h1>
            </div>
            <div class="panel-body">
                <!--<h4>Running JABAWS on your local machine</h4>-->

                <p class="justify">
                    The Virtual Appliance (VA) package allows you to run a JABAWS server installed on TurnKey Linux as a
                    virtual machine on your laptop or desktop computer. A complete guide
                    to the JABAWS VA is given in the <a href="${pageContext.request.contextPath}/man_servervm.jsp">documentation pages</a>,
                    but for the impatient, brief instructions are given below:
                </p>

                <p class="justify">
                    If you work on Windows, Linux or Unix:
                </p>
                <ol>
                    <li>Download <a href="${pageContext.request.contextPath}/download.jsp#va">JABAWS Virtual Appliance</a></li>
                    <li>Download and install <a href="http://www.vmware.com/products/player">VMWare Player</a></li>
                    <li>Unpack the JABAWS virtual appliance and open it with VMware Player</li>
                </ol>

                <p class="justify">
                    If you work on Mac do the same using
                    <a href="http://www.vmware.com/products/fusion/overview.html">
                        VMware Fusion</a>.
                </p>

                <p><strong>Testing</strong></p>
                <p class="justify">
                    To check that your JABAWS virtual appliance is working visit the Services Status
                    page available from the main JABAWS menu. For this enter the JABAWS URL for your
                    new server into a web browser. This is shown once the appliance is booted up.
                </p>
                <p class="justify">
                    Alternatively you can use Jalview to complete the testing.
                </p>
                <ol>
                    <li>Launch the desktop version of <a href="http://www.jalview.org/">Jalview</a></li>
                    <li>Open the Jalview desktop's preferences panel (from the Tools-&gt;Preferences menu option), select the
                        <em2>Webservices</em2> panel and press the
                        <em2>New Service URL</em2> button.</li>
                    <li>Enter the JABAWS URL for your new server. This is shown once the appliance is booted up.</li>
                </ol>
                <p class="text-right">
                    <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row" id="war">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Web Application aRchive (WAR)</h1>
            </div>
            <div class="panel-body">

                <!--<h4>Installing a JABAWS Server Web Application Archive (WAR) package</h4>-->
                <p class="justify">
                    The JABAWS Web Application aRchive (WAR) is for anyone who wants to run JABAWS for their group, lab or organization,
                    or wants to enable their local JABAWS server to use the cluster or perform very large tasks.
                    Complete documentation is provided in the
                    <a href="man_serverwar.jsp">documentation pages</a>, but brief instructions are given below:
                </p>
                <ol>
                    <li>Download the <a href="${pageContext.request.contextPath}/download.jsp#war">JABAWS WAR file</a></li>
                    <li>Download and install <a href="http://tomcat.apache.org/download-70.cgi">Apache-Tomcat</a><br/>
                        <em>You will need at least Tomcat version 5.5 of
                            (we would recommend version 7.0) and at least Java 1.6 (i.e. JAVA 6).</em>
                    </li>
                    <li>Drop the JABAWS WAR file into <em2>tomcat/webapps</em2> directory.</li>
                    <li>(Re)start the Tomcat.</li>
                    <li>Once the tomcat has started, it should automatically unpack the WAR
                        into the webapps directory (if it doesn't, simply unpack the WAR archive).</li>
                    <li> If you are on Mac or other unix-like architecture with GNU compilers
                        available or you'd like to get a maximum performance <br/>
                        <em2>cd</em2> to
                        <em2>webapps/jabaws/binaries/src/</em2>
                        and execute <em2>./compilebin.sh</em2>
                        script to compile all binaries JABAWS depends on.
                    </li>
                </ol>

                <p><strong>Testing</strong></p>
                <p class="justify">
                    You can test that your JABAWS server is working in several ways.
                </p>
                <ol>
                    <li>Visit Services Status page available from the JABAWS main page using your web browser.</li>

                    <li>If you are working on the command line, then use the command line client shipped with the
                        JABAWS war to test it by running:
                        <pre><code class="bash">java -jar &lt;Path to tomcat WebApp directory&gt;/jabaws/WEB-INF/lib/jaba-client.jar -h=http://localhost:8080/jabaws</code></pre>
                        In this example we assumed that your JABAWS server URL is
                        <em2>http://localhost:8080</em2> and JABAWS context path is
                        <em2>jabaws</em2>
                    </li>
                    <li>Alternately, you can point Jalview at your new server:
                        <ol>
                            <li>Launch the desktop version of <a href="http://www.jalview.org/">Jalview</a></li>
                            <li>Open the Jalview desktop's preferences panel (from the Tools-&gt;Preferences menu option),
                                elect the <em2>Webservices</em2> panel and press
                                the <em2>New Service URL</em2> button.</li>
                            <li>Enter the URL for the tomcat server, including the context path for the
                                JABAWS web app (e.g. http://localhost:8080/jabaws).</li>
                        </ol>
                    </li>
                </ol>
                <p class="text-right">
                    <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row" id="client">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Command Line Java Client</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    This is a single Java archive which contains the JABAWS command line interface (CLI) client.
                    It allows anyone who wants to connect to the JABAWS web-services running at the
                    University of Dundee's Public Server, or to run a local private JABAWS server from their own software.
                    You can read more about how to use JABAWS command line (CLI) client given in the
                    <a href="man_client.jsp">documentation pages</a>,
                    but a brief instructions are given below:
                </p>
                <ol>
                    <li>Download <a href="${pageContext.request.contextPath}/download.jsp#client">the Client Jar file</a></li>
                    <li>Download and install <a href="http://www.oracle.com/technetwork/java/javase/downloads/java-archive-downloads-javase6-419409.html">Java</a>
                        (version 1.6)</li>
                    <li>Provided that you have the Java ready to run, you can get command line help by changing to
                        the directory where you downloaded the client jar, and typing:<br/>
                        <pre><code class="bash">java -jar jaba-client.jar</code></pre>
                    </li>
                </ol>
                <p class="justify">
                    The JABA Web Services are WS-I compliant. This means that you can access them from any
                    language that has libraries or functions for consuming interoperable SOAP web services.
                    <!-- TODO Provide list of libraries for different languages -->
                </p>
            </div>
        </div>
    </div>
</div>

<jsp:include page="template_footer.jsp" />