<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
  <c:param name="title">Documentation</c:param>
</c:import>

<ol class="breadcrumb">
  <li><a href="${pageContext.request.contextPath}/index.jsp">Home</a></li>
  <li><a href="man_docs.jsp">Documentation</a></li>
  <li class="active"><a href="man_server_dev.jsp">Configuring JABAWS</a></li>
</ol>
<div class="row">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS Server Configuration</h1>
      </div>
      <div class="panel-body">
        <!--<h4>JABAWS Server Virtual Appliance</h4>-->
        <ul>
          <li><a href="#defjabaconf">JABAWS Configuration </a></li>
          <li><a href="#locEngConf">Local Engine Configuration</a></li>
          <li><a href="#clustEngConf">Cluster Engine Configuration</a></li>
          <li><a href="#exec">Executable Configuration</a></li>
          <li><a href="#setexecenv">Defining Environment Variables for Executables</a></li>
          <li><a href="#mafftconf">Configure JABAWS to Work with Mafft</a></li>
          <li><a href="#settinglimit">Limiting the size of the job accepted by JABAWS Server </a></li>
          <li><a href="#diffbin">Using a different version of the alignment program with JABAWS</a></li>
          <li><a href="#mixuse">Load balancing </a></li>
          <li><a href="#testingJaba">Testing JABAWS Web-Services</a></li>
          <li><a href="#logs">JABAWS requests logging </a></li>
          <li><a href="#logfiles">JABAWS internal logging </a></li>
          <li><a href="#warfile">JABAWS War File Content</a></li>
          <li><a href="#ga">JABAWS and Google Analytics</a></li>
        </ul>
        <!--<p class="justify">-->
        <!--</p>-->
      </div>
    </div>
  </div>
</div>
<div class="row" id="defjabaconf">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS Configuration</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          There are three parts of the system you can configure. The local
          and the cluster engines, and the paths to the individual executables for
          each engine. These settings are stored in configuration files
          within the web application directory (for an overview, then take a
          look at the <a href="#warfile">war file content table</a>).
        </p>
        <p class="justify">
          Initially, JABAWS is configured with only the local engine
          enabled, with job output written to directory called &quot;jobsout&quot;
          within the web application itself. This means that JABAWS will work
          out of the box, but may not be suitable for serving a whole lab or
          a university.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="locEngConf">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Local Engine Configuration</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          The Local execution engine configuration is defined in the
          properties file <em2>conf/Engine.local.properties.</em2> The supported
          configuration settings are:</p>
        <p>
          <em2>engine.local.enable=true</em2> - #
          enable or disable local engine, valid values true | false</p>
        <p>
          <em2>local.tmp.directory=D:\\clusterengine\\testoutput</em2>
          - a directory to use for temporary files storage, optional,
          defaults to java temporary directory</p>
        <p>
          <em2>engine.local.thread.number=4</em2> -
          Number of threads for tasks execution (valid values between 1 and
          2x cpu. Where x is a number of cores available in the system).
          Optional defaults to the number of cores for core number &lt;=4 and
          number of cores-1 for greater core numbers.
        </p>

        <p class="justify">
          If the local engine going to be heavily loaded (which is often the case if
          you do not have a cluster) it is a good idea to increase
          the amount of memory available for the web application server. If
          you are using Apache-Tomcat, then you can define its memory
          settings in the JAVA_OPTS environment variable. To specify which
          JVM to use for Apache-Tomcat, put the full path to the JRE
          installation in the JAVA_HOME environment variable. (We would
          recommend using Sun Java Virtual Machine (JVM) in preference to
          Open JDK). Below is an example of code which can be added to
          <em2>&lt;tomcat_dir&gt;/bin/setenv.sh</em2> script
          to define which JVM to use and a memory settings for Tomcat server.
          Tomcat server startup script (<em2>catalina.sh</em2>)
          will execute <em2>setenv.sh</em2> on each server start automatically.
        </p>
          <pre><code class="bash">export JAVA_HOME=/homes/ws-dev2/jdk1.6.0_17/
export JAVA_OPTS=&quot;-server -Xincgc -Xms512m -Xmx1024m&quot;</code></pre>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="clustEngConf">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Cluster Engine Configuration</h1>
      </div>
      <div class="panel-body">
        <p>Supported configuration settings:
          <em2>engine.cluster.enable=true</em2> - #
          enable or disable local engine true | false, defaults to
          false</p>
        <p><em2>cluster.tmp.directory=/homes/clustengine/testoutput-</em2>
          a directory to use for temporary files storage. The value must be
          an absolute path to the temporary directory. This is required. The value
          must be different from what is defined for local engine. This
          directory must be accessible from all cluster nodes.</p>
        <p>
          For the cluster engine to work, the SGE_ROOT and LD_LIBRARY_PATH
          environment variables have to be defined. They tell the cluster
          engine where to find DRMAA libraries. These variables
          should be defined when the web application server starts up, e.g.
        </p>

        <pre><code class="bash">SGE_ROOT=/gridware/sge
LD_LIBRARY_PATH=/gridware/sge/lib/lx24-amd64</code></pre>

        <p class="justify">
          Finally, do not forget to configure executables for the cluster
          execution, they may be the same as for the local execution but may
          be different. Please refer to the executable configuration section
          for further details.
        </p>


        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="exec">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Executable Configuration</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          All the executable programs
          are configured in <em2>conf/Executable.properties</em2> file. Each executable
          is configured with a number of options. They are:
        </p>
          <pre><code class="bash">local.X.bin.windows=&lt;path to executable under windows system, optional&gt;
local.X.bin=&lt;path to the executable under non-windows system, optional&gt;
cluster.X.bin=&lt;path to the executable on the cluster, all cluster nodes must see it, optional&gt;
X.bin.env=&lt;semicolon separated list of environment variables for executable, use hash symbol as name value separator, optional&gt;
X.--aamatrix.path=&lt;path to the directory containing substitution matrices, optional&gt;
X.presets.file=&lt;path to the preset configuration file, optional&gt;
X.parameters.file=&lt;path to the parameters configuration file, optional&gt;
X.limits.file=&lt;path to the limits configuration file, optional&gt;
X.cluster.settings=&lt;list of the cluster specific options, optional&gt;</code></pre>

        <p>Where X any of the bioinformatics tools available (e.g. clustalw, muscle, mafft, probcons, t-coffee, etc.).</p>

        <p class="justify">
          Default JABAWS configuration includes path to local executables
          to be run by the local engine only, all cluster related settings
          are commented out, but they are there for you as examples. Cluster
          engine is disabled by default. To configure executable for cluster
          execution uncomment the X.cluster settings and change them
          appropriately.
        </p>
        <p class="justify">
          By default limits are set well in excess of what you may want to offer to the users outside your lab,
          to make sure that the tasks are never rejected. The default limit is 100000 sequences of 100000
          letters on average for all of the JABA web services.  You can adjust the limits according to your
          needs by editing <em2>conf/settings/&lt;X&gt;Limit.xml</em2> files.<br />
          After you have completed the editing your configuration may look like
          this:
        </p>
        <pre><code class="bash">local.mafft.bin=binaries/mafft
cluster.mafft.bin=/homes/cengine/mafft
mafft.bin.env=MAFFT_BINARIES#/homes/cengine/mafft;FASTA_4_MAFFT#/bin/fasta34;
mafft.--aamatrix.path=binaries/matrices
mafft.presets.file=conf/settings/MafftPresets.xml
mafft.parameters.file=conf/settings/MafftParameters.xml
mafft.limits.file=conf/settings/MafftLimits.xml
mafft.cluster.settings=-q bigmem.q -l h_cpu=24:00:00 -l h_vmem=6000M -l ram=6000M</code></pre>

        <p class="justify">
          Please not that relative paths must only be specified for the
          files that reside inside web application directory, all other paths
          must be supplied as absolute!</p>

        <p class="justify">
          Furthermore, you should avoid using environment variables within the paths or options - since
          these will not be evaluated correctly.  Instead, please explicitly specify the absolute path
          to anything normally evaluated from an environment variable at execution time.
        </p>

        <p class="justify">
          If you are using JABAWS to submit jobs to the cluster (with
          cluster engine enabled), executables must be available from all
          cluster nodes the task can be sent to, also paths to the
          executables on the cluster e.g. <em2>cluster.&lt;exec_name&gt;.bin</em2> must be
          absolute.
        </p>

        <p class="justify">Executables can be located anywhere in your system, they do not
          have to reside on the server as long as the web application server
          can access and execute them.
        </p>

        <p class="justify">
          Cluster settings are treated as a black box, the system will
          just pass whatever is specified in this line directly to the
          cluster submission library. This is how DRMAA itself treats this
          settings. More exactly DRMAA <em2>JobTemplate.setNativeSpecification()</em2>
          function will be called.
        </p>
        <p class="justify">
          For further details and examples of configuration please refer to the
          <em2>Executable.properties</em2> file supplied with JABAWS.
        </p>

        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="setexecenv">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Defining Environment Variables for
          Executables</h1>
      </div>
      <div class="panel-body">
        <p>Environment variables can be defined in property</p>
        <pre><code class="bash">x.bin.env</code></pre>
          <p>
            Where <em2>x</em2> is one of thw executables supported by JABAWS. Several environment
            variables can be specified in the same line. For example.
          </p>
        <pre><code class="bash">mafft.bin.env=MAFFT_BINARIES#/homes/cengine/mafft;FASTA_4_MAFFT#/bin/fasta34;</code></pre>

        <p class="justify">
          The example above defines two environment variables with names
          MAFFT-BINARIES and FASTA_4_MAFFT and values /homes/cengine/mafft
          and /bin/fasta34 respectively. Semicolon is used as a separator
          between different environment variables whereas hash is used as a
          separator for name and value of the variable.
        </p>

        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="mafftconf">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Configure JABAWS to Work
          with Mafft</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          If you use default configuration you do not need to read any
          further. The default configuration will work for you without any
          changes, however, if you want to install Mafft yourself then there
          is a couple of more steps to do.
        </p>

        <p class="justify">
          Mafft executable needs to know the location of other files
          supplied with Mafft. In addition some Mafft functions depends on
          the fasta executable, which is not supplied with Mafft, but is a
          separate package. Mafft needs to know the location of fasta34
          executable.
        </p>

        <p class="justify">
          To let Mafft know where the other files from its package are,
          change the value of MAFFT-BINARIES environment variables. To let
          Mafft know where is the fasta34 executable set the value of
          FASTA_4_MAFFT environment variable to point to a location of
          fasta34 program. The latter can be added to the PATH variable
          instead. If you are using executables supplied with JABAWS, the
          path to Mafft binaries would be like
          <em2>&lt;relative path to web application directory&gt;/binaries/src/mafft/binaries</em2>
          and the path to fasta34 binary would be
          <em2>&lt;relative path to web application directory&gt;/binaries/src/fasta34/fasta34</em2>.
          You can specify the location of Mafft binaries as well as fasta34 program elsewhere
          by providing an absolute path to them. All these settings are
          defined in <em2>conf/Executable.properties</em2> file.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="settinglimit">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Limiting the size of the job accepted by JABAWS</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          JABAWS can be configured to reject excessively large tasks.  This is useful if you operate JABAWS service
          for many users. By defining a  maximum allowed task size you can provide an even service for all users and
          prevents waste of resources on the tasks too large to complete  successfully. You can define the maximum
          number of sequences and the maximum average  sequence length that JABAWS accepts for each JABA Web Service
          independently. Furthermore, you can define different limits for different  presets of the same web service.
        </p>
        <p class="justify">
          By default limits are disabled. You can enable them by editing
          <em2>conf/Executable.properties</em2>
          file. You can adjust the limits according  to your needs by editing
          <em2>conf/settings/&lt;X&gt;Limit.xml</em2>
          files.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="diffbin">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Using a different version of the alignment program with JABAWS</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          JABAWS is supplied with binaries and source code of the executables related to the version it supports. So normally you
          would not need to install your own executables. However, if you have a different version of an executable
          (e.g. an alignment program) which you prefer, you could use it as long as it supports all the functions
          JABAWS executable require. This could be the case with more recent executable. If the options supported
          by your chosen executable is different from the standard JABAWS executable, then you need to edit
          <em2>ExecutableName</em2>Paramaters.xml&nbsp; configuration file.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="mixuse">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Load balancing</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          If your cluster is busy and has significant waiting times, you can achieve a faster response by allowing
          the server machine to calculate small tasks and then reserve the cluster for bigger jobs. This works
          especially well if your server is a powerful machine with many CPUs. To do this you need to enable and
          configure both the cluster and the local engines. Once this is done decide on the maximum size of a task
          to be run on the server locally. Then, edit
          <em2>&quot;# LocalEngineExecutionLimit #&quot; </em2>preset
          in <em2> &lt;ServiceName&gt;Limits.xml</em2> file accordingly. JABAWS server then
          will balance the load according to the following rule: If the task size is smaller than the maximum task
          size for local engine, and the local engine has idle threads, then it calculates task locally otherwise it submit
          the task to the cluster.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="testingJaba">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">Testing JABAWS Web-Services</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          Access <em2>&lt;your_JABAWS_server_URL&gt;/ServiceStatus</em2> to test all web services.
          Each time you access this URL, all services are tested.
          For production configuration we recommend prohibiting requests to this URL for non
          authenticated users to prevent excessive load on the server.
        </p>
        <p class="justify">
          Alternatively, you can use a command line client (part of the client only
          package) to test your JABAWS installation as described <a href="man_client.jsp">here</a>.
          If you downloaded a JABAWS server package, you can use
          <em2>&lt;your_jaba_context_name&gt;/WEB-INF/lib/jaba-client.jar</em2> to test JABAWS installation as
          described <a href="man_serverwar.jsp#usingWsTester">here</a>. If you downloaded the source
          code, then you could run a number of test suites defined in the
          build.xml Apache Ant file.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="logs">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS requests logging</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          Enable Tomcat log valve. To do this uncomment the following section of
          <em2>&lt;tomcat_root&gt;/conf/server.xml</em2> configuration file.
        </p>
        <pre><code class="bash">&lt;Valve className=&quot;org.apache.catalina.valves.AccessLogValve&quot; directory=&quot;logs&quot;
          prefix=&quot;localhost_access_log.&quot; suffix=&quot;.txt&quot; pattern=&quot;common&quot; resolveHosts=&quot;false&quot;/&gt;</code></pre>

        <p> The following information will be logged:</p>
        <table class="table">
          <tr>
            <th>Remote IP</th>
            <th>Date</th>
            <th>Method server_URL protocol </th>
            <th>HTTP status </th>
            <th>Response size in bytes </th>
          </tr>
          <tr>
            <td>10.31.11.159</td>
            <td>[10/Feb/2010:16:51:32 +0000]</td>
            <td>&quot;POST /jws2/MafftWS HTTP/1.1&quot;</td>
            <td>200</td>
            <td>2067</td>
          </tr>
        </table>
        <p>Which can be processed in various programs for log analysis,
          such as <a href="http://www.webalizer.org/">WebAlizer</a>,
          <a href="http://www.analog.cx/">Analog</a>,
          <a href="http://awstats.sourceforge.net/">AWStats</a>.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="logfiles">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS internal logging</h1>
      </div>
      <div class="panel-body">
        <p class="justify">

          JABAWS can be configured to log what it is doing. This comes in
          handy if you would like to see who is using your web services or
          need to chase some problems. JABAWS uses
          <a href="http://logging.apache.org/log4j/1.2/">log4j</a> to do the logging,
          the example of log4j configuration is bundled with JABAWS war file.
          You will find it in the <em2>/WEB-INF/classes/log4j.properties</em2> file. All the
          lines in this file are commented out. The reason why the logging is
          disabled by default it simple, log4j has to know the exact
          location of where the log files are stored. This is not known up
          until the deployment time. To enable the logging you need to
          define<em2> logDir</em2> property in the <em2>log4j.properties</em2> and uncomment section of
          the file which corresponds to your need. More information is given
          in the <em2>log4j.properties</em2> file
          itself. Restart the Tomcat or the JABAWS web application to apply
          the settings.
        </p>
        <p>
          After you have done this, assuming that you did not change the
          log4j.properties file yourself, you should see the application log
          file called <em2>activity.log</em2>. The
          file called <em2>activity.log</em2>. The
          amount of information logged can be adjusted using different
          logging levels, it is reduced in the following order of log levels
          TRACE, DEBUG, INFO, WARN, ERROR, FATAL.
        </p>
        <p>
          If you would like to know who is using your services, you might
          want to <a href="#logs">enable Tomcat request
            logging</a>.
        </p>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="warfile">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS War File Content</h1>
      </div>
      <div class="panel-body">
        <table class="table">
          <tr>
            <th style="width:19%">Directory</th>
            <th style="width:81%">Content description</th>
          </tr>
          <tr>
            <td>conf/</td>
            <td>contains configuration files such as Executable.properties,
              Engine.local.properties, Engine.cluster.properties</td>
          </tr>
          <tr>
            <td>conf/settings</td>
            <td>Contains individual executable description files. In particular
              XXXParameters.xml, XXXPresets.xml, XXXLimits.xml where XXX is the
              name of the executable</td>
          </tr>
          <tr>
            <td>ExecutionStatistics</td>
            <td>The database for storing the execution statistics </td>
          </tr>
          <tr>
            <td>statpages</td>
            <td>Web pages for usage statistics visialization and webservices status queries </td>
          </tr>
          <tr>
            <td>jobsout/</td>
            <td>Contains directories generated when running an individual executable. E.g. input and output files and some other task
              related data (optional)</td>
          </tr>
          <tr>
            <td>binaries/</td>
            <td>Directory contains native executables - programs,
              windows binaries (optional)</td>
          </tr>
          <tr>
            <td>binaries/src</td>
            <td>Contains source of native executables and Linux i386
              binaries</td>
          </tr>
          <tr>
            <td>binaries/windows</td>
            <td>Contains binaries for MS Windows operating system </td>
          </tr>
          <tr>
            <td>binaries/matrices</td>
            <td>Substitution matrices
              <!-- what format ? --></td>
          </tr>
          <tr>
            <td>WEB-INF</td>
            <td>Web application descriptor</td>
          </tr>
          <tr>
            <td>WEB-INF/lib</td>
            <td>Web application libraries</td>
          </tr>
          <tr>
            <td>WEB-INF/classes</td>
            <td>log4j.properties - log configuration file (optional)</td>
          </tr>
          <tr>
            <td>static</td>
            <td>Static content such as CSS, JavaScript and Image files</td>
          </tr>
          <tr>
            <td colspan="2"><strong>Help Pages</strong> </td>
          </tr>
          <tr>
            <td>/</td>
            <td>help pages, index.html is the starting page</td>
          </tr>
          <tr>
            <td>dm_javadoc</td>
            <td><a href="${pageContext.request.contextPath}/dm_javadoc/">JavaDoc for the JABAWS Data Model</a></td>
          </tr>
          <tr>
            <td>full_javadoc</td>
            <td><a href="${pageContext.request.contextPath}/full_javadoc/">JavaDoc for the complete JABAWS</a></td>
          </tr>
          <tr>
            <td>prog_docs</td>
            <td><a href="${pageContext.request.contextPath}/prog_docs/">Documentation for programs that are included in JABAWS</a></td>
          </tr>

        </table>
        <p class="text-right">
          <a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
        </p>
      </div>
    </div>
  </div>
</div>
<div class="row" id="ga">
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel panel-heading">
        <h1 class="panel-title">JABAWS and Google Analytics</h1>
      </div>
      <div class="panel-body">
        <p class="justify">
          JABAWS reports web services usage to our group Google Analytics (GA) account.
          JABAWS usage statistics are collected for funding and reporting purposes, and
          no private information is collected. The data sent by JABAWS is as follows:
        </p>
        <ol>
          <li>The IP address of the JABAWS server machine (the server IP can anonymized see
            <em2>conf/GA.properties</em2> config file)</li>
          <li>The name of the web service that was called. </li>
          <li>A few details of the system such as JABAWS version, java version, user language,
            color depth, screen
            resolution and character encoding.</li>
        </ol>
        <p> Google Analytics can be disabled or adjusted by removing/editing
          <em2>conf/GA.properties</em2> Google Analytics (GA) settings file. We would
          appreciate it greatly if you could leave it on!</p>
        <p>All calls to GA are very lightweight, completed asynchronously, create very
          little overhead and do not influence the server response time or performance.
        </p>
      </div>
    </div>
  </div>
</div>

<jsp:include page="template_footer.jsp" />